Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

Ok, so I have a VDS laying around, and I thought I would turn it into a TF2 game server. When I connect to my server through PuTTY, and use wget to download the package "hldsupdatetool.bin" from Steampowered.com. I go to run it and it says "No such file or directory found". When I use "ls" to see what files are in directory, it lists "hldsupdatetool.bin" as being in the directory. So, why is it saying it's not there? This has been a headache for the past 2 days.

It's returning:

root@10004:~# wget http://www.steampowered.com/download/hldsupdatetool.bin
--2012-07-08 06:04:49--  http://www.steampowered.com/download/hldsupdatetool.bin
Resolving www.steampowered.com... 208.64.202.68
Connecting to www.steampowered.com|208.64.202.68|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 3513408 (3.4M) [application/octet-stream]
Saving to: “hldsupdatetool.bin.3”

100%[======================================>] 3,513,408   2.45M/s   in 1.4s

2012-07-08 06:04:51 (2.45 MB/s) - “hldsupdatetool.bin.3” saved [3513408/3513408]

root@10004:~# chmod +x hldsupdatetool.bin.3
root@10004:~# ./hldsupdatetool.bin.3
-bash: ./hldsupdatetool.bin.3: No such file or directory
root@10004:~#

More:

root@10004:~# ls
ffmpeg-packages     hldsupdatetool.bin.1  hldsupdatetool.bin.3
hldsupdatetool.bin  hldsupdatetool.bin.2  setup.sh
root@10004:~# ls -la
total 13828
drwx------  4 root root    4096 Jul  8 06:04 .
drwxr-xr-x 21 root root    4096 Jul  8 05:57 ..
-rw-------  1 root root    8799 Jul  8 06:26 .bash_history
-rw-r--r--  1 root root     570 Jan 31  2010 .bashrc
-rw-r--r--  1 root root       4 Jul  2 19:39 .custombuild
drwxr-xr-x  2 root root    4096 Jul  4 18:49 ffmpeg-packages
---x--xrwx  1 root root 3513408 Sep  2  2005 hldsupdatetool.bin
-rwxr-xr-x  1 root root 3513408 Sep  2  2005 hldsupdatetool.bin.1
-rw-r--r--  1 root root 3513408 Sep  2  2005 hldsupdatetool.bin.2
-rwxr-xr-x  1 root root 3513408 Sep  2  2005 hldsupdatetool.bin.3
-rw-r--r--  1 root root     140 Nov 19  2007 .profile
-rw-------  1 root root    1024 Jul  2 19:49 .rnd
-rwxr-xr-x  1 root root   38866 May 23 22:02 setup.sh
drwxr-xr-x  2 root root    4096 Jul  2 19:44 .ssh
root@10004:~#
share|improve this question

migrated from stackoverflow.com Jul 8 '12 at 9:07

This question came from our site for professional and enthusiast programmers.

1  
Off-topic, but how are you running it? You probably need to do this: chmod +x hldsupdatetool.bin; ./hldsupdatetool.bin –  birryree Jul 8 '12 at 4:05
    
That's exactly how I've been doing it, I am following the directions at:stevenbenner.com/2010/11/…. But, I can't seem to get past step 2. –  user1509541 Jul 8 '12 at 4:08
    
Can you paste the entire output, from the wget on down? I haven't looked at the hldsupdatetool.bin file, but it might be it's a shell script and it's expecting an application or something else at a particular path that isn't there on your VPS. –  Drizzt321 Jul 8 '12 at 5:10
    
I added the output to the question. –  user1509541 Jul 8 '12 at 6:12
    
Odd...seems to work fine for me. Do this, after the wget do an ls -la and paste the results. That will list all of the files in the local directory. Are you simply copying & pasting the commands from the web browser into putty? Sometimes it'll pass in the characters as odd UTF characters that look correct, but are not the ones you want. You can try typing it in manually to double check. –  Drizzt321 Jul 8 '12 at 6:56

2 Answers 2

up vote 4 down vote accepted

Usually errors like "no such file or directory" imply you're missing a critical library for that program.

You could try

ldd hldsupdatetool.bin

to see what libraries it requires, anything you DON'T have, will be indicated.

The most likely issue is that you're running on a 64-bit system, and then hldsupdatetool.bin program is a 32-bit executable.

Installing the lib32gcc1 package seems to resolve the issues.

You didn't specify which flavor of linux you're running, so the commands to install a package vary. Use whatever method you usually use to install packages. (Yeah, THAT's helpful, huh?)

Hope this helps.

share|improve this answer
    
Thanks a lot. You were right. I asked technical support with my host. I DID lack the 32-bit library. They sorted it all out now. :) –  user1509541 Jul 8 '12 at 13:17

I'm guessing the file has a shebang line like #!/bin/bash to a binary which doesn't exist on your system. Change the shebang line, or figure out how to run the script through the desired interpreter (for example, /usr/local/bin/bash ./hlsupdatetool.bin.3). Either way, examining the file with less should reveal whether this is a correct diagnosis. (The .bin extension suggests that you have downloaded a "binary", but that may well be misleading.)

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.